Bug 1269811 - [epel7s390x] gnu-smalltalk SRPM does not build correctly on s390x
[epel7s390x] gnu-smalltalk SRPM does not build correctly on s390x
Status: CLOSED RAWHIDE
Product: Fedora EPEL
Classification: Fedora
Component: gnu-smalltalk (Show other bugs)
epel7
s390x Linux
high Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker epel7s390x
  Show dependency treegraph
 
Reported: 2015-10-08 05:32 EDT by IBM Bug Proxy
Modified: 2016-11-28 05:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 05:07:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 131475 None None None Never

  None (edit)
Description IBM Bug Proxy 2015-10-08 05:32:07 EDT

    
Comment 1 IBM Bug Proxy 2015-10-08 05:32:09 EDT
The EPEL 7 SRPM for gnu-smalltalk 
https://dl.fedoraproject.org/pub/epel/7/SRPMS/g/gnu-smalltalk-3.2.5-3.el7.src.rpm
that we are not able to build on Mock.

Here is the error message when trying to build using Mock:
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../.. -I../../../libgst -I../../../lib-src -I/usr/include -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -march=z196 -mtune=zEC12 -Wa,--noexecstack -Wall -Wdeclaration-after-statement -Wno-format -Wpointer-arith -Wno-pointer-sign -Wno-switch -Wwrite-strings -Wno-strict-aliasing -fno-gcse -fstrict-aliasing -c BloxTK.c  -fPIC -DPIC -o .libs/BloxTK.o
gst-package: did not understand #~
gst-package: did not understand #~
make[2]: *** [BLOXBrowser.star] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [DBD-MySQL.star] Error 1
gst-package: did not understand #~
gst-package: did not understand #~
make[2]: *** [DebugTools.star] Error 1
make[2]: *** [Continuations.star] Error 1
gst-package: did not understand #~
make[2]: *** [CParser.star] Error 1
gst-package: did not understand #~
gst-package: did not understand #~
make[2]: *** [Complex.star] Error 1
make[2]: *** [Announcements.star] Error 1
Comment 2 IBM Bug Proxy 2016-02-23 12:32:13 EST
------- Comment From vsandhya@in.ibm.com 2016-02-23 12:12 EDT-------
Any updates?
Comment 3 Dan Horák 2016-11-28 05:07:09 EST
seems gnu-smalltalk supports only little endian arches (?), ppc64 has the same problem

resolved with http://pkgs.fedoraproject.org/cgit/rpms/gnu-smalltalk.git/commit/?id=be6b89326584ad4aae74cbe1e6e1b1f810c50013

Note You need to log in before you can comment on or make changes to this bug.